%global namedreltag .SP2
%global namedversion %{version}%{?namedreltag}
Name:          jboss-man
Version:       2.1.1
Release:       %mkrel 3
Summary:       JBoss Man
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-man/tags/2.1.1.SP2/ jboss-man-2.1.1.SP2
# tar czf jboss-man-2.1.1.SP2-src-svn.tar.gz jboss-man-2.1.1.SP2
Source0:       jboss-man-%{namedversion}-src-svn.tar.gz
# org.jboss.test jboss-test 1.1.3.GA
Patch0:        jboss-man-2.1.1.SP2-no-test-deps.patch

Patch1:        jboss-man-2.1.1.SP2-managed-plugins-jmx-jdk7.patch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: jboss-common-core
BuildRequires: jboss-logging-log4j
BuildRequires: jboss-logging-spi
BuildRequires: jboss-mdr >= 2.2.0
BuildRequires: jboss-reflect
BuildRequires: jboss-parent

BuildRequires: glassfish-jaxb-api
BuildRequires: javassist
BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin

Requires:      jboss-common-core
Requires:      jboss-logging-log4j
Requires:      jboss-logging-spi
Requires:      jboss-mdr >= 2.2.0
Requires:      jboss-reflect

Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss managed and metatype.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-man-%{namedversion}
%patch0 -p1
%patch1 -p1

sed -i "s|<module>build</module>|<!--module>build</module-->|" pom.xml

sed -i "s|<groupId>sun-jaxb</groupId>|<groupId>javax.xml.bind</groupId>|" pom.xml managed/pom.xml

%build

# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 managed/target/jboss-managed.jar %{buildroot}%{_javadir}/jboss/jboss-managed.jar
install -pm 644 metatype/target/jboss-metatype.jar %{buildroot}%{_javadir}/jboss/jboss-metatype.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom
install -pm 644 build/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom
install -pm 644 managed/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-jboss-managed.pom
%add_maven_depmap JPP.jboss-jboss-managed.pom jboss/jboss-managed.jar
install -pm 644 metatype/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-jboss-metatype.pom
%add_maven_depmap JPP.jboss-jboss-metatype.pom jboss/jboss-metatype.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/jboss-*.jar
%{_mavenpomdir}/JPP.jboss-jboss-*.pom
%{_mavendepmapfragdir}/%{name}
%doc build/JBossORG-EULA.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.1.1-3.mga3
+ Revision: 355075
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 dmorgan <dmorgan> 2.1.1-2.mga3
+ Revision: 342952
- Remove findbugs-maven-plugin deps

* Sat Feb 25 2012 gil <gil> 2.1.1-1.mga2
+ Revision: 214930
- build fix
- fixed java 7 support
- imported package jboss-man

